nxt.voting

## Enum VoteWeighting.VotingModel

- java.lang.Object
- - java.lang.Enum<VoteWeighting.VotingModel>
  - - nxt.voting.VoteWeighting.VotingModel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<VoteWeighting.VotingModel>
  Enclosing class:
    VoteWeighting

      public static enum VoteWeighting.VotingModel
      extends java.lang.Enum<VoteWeighting.VotingModel>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCOUNT`
    `ASSET`
    `COIN`
    `COMPOSITE`
    `CURRENCY`
    `HASH`
    `NONE`
    `PROPERTY`
    `TRANSACTION`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MAX_CODE`
    `static int` | `MIN_CODE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `acceptsVotes()`
    `abstract long` | `calcWeight(VoteWeighting voteWeighting, long voterId, int height)`
    `static VoteWeighting.VotingModel` | `get(byte code)`
    `byte` | `getCode()`
    `abstract VoteWeighting.MinBalanceModel` | `getMinBalanceModel()`
    `static VoteWeighting.VotingModel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static VoteWeighting.VotingModel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final VoteWeighting.VotingModel NONE

    - #### ACCOUNT

          public static final VoteWeighting.VotingModel ACCOUNT

    - #### COIN

          public static final VoteWeighting.VotingModel COIN

    - #### ASSET

          public static final VoteWeighting.VotingModel ASSET

    - #### CURRENCY

          public static final VoteWeighting.VotingModel CURRENCY

    - #### TRANSACTION

          public static final VoteWeighting.VotingModel TRANSACTION

    - #### HASH

          public static final VoteWeighting.VotingModel HASH

    - #### COMPOSITE

          public static final VoteWeighting.VotingModel COMPOSITE

    - #### PROPERTY

          public static final VoteWeighting.VotingModel PROPERTY

  - ### Field Detail

    - #### MIN_CODE

          public static final int MIN_CODE

    - #### MAX_CODE

          public static final int MAX_CODE

  - ### Method Detail

    - #### values

          public static VoteWeighting.VotingModel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VoteWeighting.VotingModel c : VoteWeighting.VotingModel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VoteWeighting.VotingModel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public byte getCode()

    - #### calcWeight

          public abstract long calcWeight(VoteWeighting voteWeighting,
                                          long voterId,
                                          int height)

    - #### getMinBalanceModel

          public abstract VoteWeighting.MinBalanceModel getMinBalanceModel()

    - #### acceptsVotes

          public boolean acceptsVotes()

    - #### get

          public static VoteWeighting.VotingModel get(byte code)